{
  "codeName" : "Usr08126702EditView_Form",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSFORMS/Usr08126702EditView_Form.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom",
    "actionName" : "GETDRAFTFROM",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraftfrom",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft",
    "actionName" : "GetDraft",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraft",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "logicName" : "重复器表单_表单",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "field25",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD25",
      "codeName" : "Field25"
    }
  }, {
    "id" : "field14",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD14",
      "codeName" : "Field14"
    }
  }, {
    "id" : "createman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "CREATEMAN",
      "codeName" : "CreateMan"
    }
  }, {
    "id" : "createdate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }
  }, {
    "id" : "updateman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }
  }, {
    "id" : "updatedate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "bookid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEMS",
      "caption" : "分组测试气泡打开视图",
      "codeName" : "grouppanel1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel1",
      "getPSDEFormDetails" : [ {
        "caption" : "属性25",
        "codeName" : "field25",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field25",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD25",
          "codeName" : "Field25"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "field25"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIActionGroup" : {
        "codeName" : "Usr0123350661",
        "name" : "气泡打开视图界面行为组",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSUIActionGroupDetails" : [ {
          "actionLevel" : 50,
          "caption" : "气泡打开",
          "detailType" : "DEUIACTION",
          "name" : "u67903cf",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开",
            "codeName" : "openPopover",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "Book_openPopover",
            "name" : "气泡打开",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopover",
            "uIActionType" : "DEUIACTION",
            "id" : "openPopover@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开主数据视图",
          "detailType" : "DEUIACTION",
          "name" : "uf5bd897",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "打开主数据视图",
            "codeName" : "open_main_view",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
              "viewType" : "DEGRIDVIEW"
            },
            "frontProcessType" : "TOP",
            "fullCodeName" : "Book_open_main_view",
            "name" : "打开主数据视图",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "open_main_view",
            "uIActionType" : "DEUIACTION",
            "id" : "open_main_view@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "actionLevel" : 50,
          "caption" : "气泡打开视图",
          "detailType" : "DEUIACTION",
          "name" : "udd11136",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开视图",
            "codeName" : "openPopoverView",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "Book_openPopoverView",
            "name" : "气泡打开视图",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopoverView",
            "uIActionType" : "DEUIACTION",
            "id" : "openPopoverView@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开数据导出视图",
          "detailType" : "DEUIACTION",
          "name" : "u5cdc0a2",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开数据导出视图",
            "codeName" : "frontDataExp",
            "frontProcessType" : "DATAEXP",
            "fullCodeName" : "Book_frontDataExp",
            "name" : "打开数据导出视图",
            "getPSAppDEDataExport" : {
              "modelref" : true,
              "id" : "DataExport"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "frontDataExp",
            "uIActionType" : "DEUIACTION",
            "id" : "frontDataExp@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开HTML界面",
          "detailType" : "DEUIACTION",
          "name" : "u3685053",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开HTML界面",
            "codeName" : "OpenHtml",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "Book_OpenHtml",
            "htmlPageUrl" : "https://www.baidu.com",
            "name" : "OpenHtml",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "OpenHtml",
            "uIActionType" : "DEUIACTION",
            "id" : "OpenHtml@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ],
        "uniqueTag" : "Book__Usr0123350661"
      },
      "titleBarCloseMode" : 1,
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "测试气泡打开视图",
      "codeName" : "grouppanel2",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel2",
      "getPSDEFormDetails" : [ {
        "caption" : "属性14",
        "codeName" : "field14",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "field14",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD14",
          "codeName" : "Field14"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "field14"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIActionGroup" : {
        "codeName" : "Usr0123350661",
        "name" : "气泡打开视图界面行为组",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSUIActionGroupDetails" : [ {
          "actionLevel" : 50,
          "caption" : "气泡打开",
          "detailType" : "DEUIACTION",
          "name" : "u67903cf",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开",
            "codeName" : "openPopover",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "Book_openPopover",
            "name" : "气泡打开",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopover",
            "uIActionType" : "DEUIACTION",
            "id" : "openPopover@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开主数据视图",
          "detailType" : "DEUIACTION",
          "name" : "uf5bd897",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "打开主数据视图",
            "codeName" : "open_main_view",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
              "viewType" : "DEGRIDVIEW"
            },
            "frontProcessType" : "TOP",
            "fullCodeName" : "Book_open_main_view",
            "name" : "打开主数据视图",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "open_main_view",
            "uIActionType" : "DEUIACTION",
            "id" : "open_main_view@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "actionLevel" : 50,
          "caption" : "气泡打开视图",
          "detailType" : "DEUIACTION",
          "name" : "udd11136",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开视图",
            "codeName" : "openPopoverView",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "Book_openPopoverView",
            "name" : "气泡打开视图",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopoverView",
            "uIActionType" : "DEUIACTION",
            "id" : "openPopoverView@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开数据导出视图",
          "detailType" : "DEUIACTION",
          "name" : "u5cdc0a2",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开数据导出视图",
            "codeName" : "frontDataExp",
            "frontProcessType" : "DATAEXP",
            "fullCodeName" : "Book_frontDataExp",
            "name" : "打开数据导出视图",
            "getPSAppDEDataExport" : {
              "modelref" : true,
              "id" : "DataExport"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "frontDataExp",
            "uIActionType" : "DEUIACTION",
            "id" : "frontDataExp@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开HTML界面",
          "detailType" : "DEUIACTION",
          "name" : "u3685053",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开HTML界面",
            "codeName" : "OpenHtml",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "Book_OpenHtml",
            "htmlPageUrl" : "https://www.baidu.com",
            "name" : "OpenHtml",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "OpenHtml",
            "uIActionType" : "DEUIACTION",
            "id" : "OpenHtml@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ],
        "uniqueTag" : "Book__Usr0123350661"
      },
      "titleBarCloseMode" : 1,
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEM",
      "buildInActions" : 2,
      "caption" : "书基本信息1",
      "codeName" : "group1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEMS",
        "buildInActions" : 7,
        "codeName" : "mdctrl2",
        "contentType" : "REPEATER",
        "detailStyle" : "DEFAULT",
        "detailType" : "MDCTRL",
        "name" : "mdctrl2",
        "getPSAppDEField" : {
          "name" : "BOOKCHILD2S",
          "codeName" : "Bookchild2s"
        },
        "getPSDEFormDetails" : [ {
          "caption" : "书名称",
          "codeName" : "bookname",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "bookname",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "bookname"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "repeatContent" : true,
          "showCaption" : true
        }, {
          "caption" : "属性3",
          "codeName" : "field3",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "field3",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "field3"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "repeatContent" : true,
          "showCaption" : true
        }, {
          "caption" : "类型",
          "codeName" : "type",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "type",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "type"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "repeatContent" : true,
          "showCaption" : true
        }, {
          "caption" : "日期",
          "codeName" : "field10",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "field10",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "field10"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "repeatContent" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSSysPFPlugin" : {
          "pluginType" : "FORM_USERCONTROL",
          "pluginCode" : "REPEATER_FORM"
        },
        "getPSUIActionGroup" : {
          "codeName" : "Usr0123350661",
          "name" : "气泡打开视图界面行为组",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "actionLevel" : 50,
            "caption" : "气泡打开",
            "detailType" : "DEUIACTION",
            "name" : "u67903cf",
            "getPSUIAction" : {
              "actionLevel" : 50,
              "actionTarget" : "NONE",
              "caption" : "气泡打开",
              "codeName" : "openPopover",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
                "viewType" : "DEEDITVIEW"
              },
              "frontProcessType" : "WIZARD",
              "fullCodeName" : "Book_openPopover",
              "name" : "气泡打开",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openPopover",
              "uIActionType" : "DEUIACTION",
              "id" : "openPopover@Book"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "打开主数据视图",
            "detailType" : "DEUIACTION",
            "name" : "uf5bd897",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "打开主数据视图",
              "codeName" : "open_main_view",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
                "viewType" : "DEGRIDVIEW"
              },
              "frontProcessType" : "TOP",
              "fullCodeName" : "Book_open_main_view",
              "name" : "打开主数据视图",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "open_main_view",
              "uIActionType" : "DEUIACTION",
              "id" : "open_main_view@Book"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "actionLevel" : 50,
            "caption" : "气泡打开视图",
            "detailType" : "DEUIACTION",
            "name" : "udd11136",
            "getPSUIAction" : {
              "actionLevel" : 50,
              "actionTarget" : "NONE",
              "caption" : "气泡打开视图",
              "codeName" : "openPopoverView",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
                "viewType" : "DEEDITVIEW"
              },
              "frontProcessType" : "WIZARD",
              "fullCodeName" : "Book_openPopoverView",
              "name" : "气泡打开视图",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openPopoverView",
              "uIActionType" : "DEUIACTION",
              "id" : "openPopoverView@Book"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "打开数据导出视图",
            "detailType" : "DEUIACTION",
            "name" : "u5cdc0a2",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEDATA",
              "caption" : "打开数据导出视图",
              "codeName" : "frontDataExp",
              "frontProcessType" : "DATAEXP",
              "fullCodeName" : "Book_frontDataExp",
              "name" : "打开数据导出视图",
              "getPSAppDEDataExport" : {
                "modelref" : true,
                "id" : "DataExport"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "frontDataExp",
              "uIActionType" : "DEUIACTION",
              "id" : "frontDataExp@Book"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "打开HTML界面",
            "detailType" : "DEUIACTION",
            "name" : "u3685053",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEDATA",
              "caption" : "打开HTML界面",
              "codeName" : "OpenHtml",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "Book_OpenHtml",
              "htmlPageUrl" : "https://www.baidu.com",
              "name" : "OpenHtml",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "OpenHtml",
              "uIActionType" : "DEUIACTION",
              "id" : "OpenHtml@Book"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ],
          "uniqueTag" : "Book__Usr0123350661"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIActionGroup" : {
        "codeName" : "Usr0812752340",
        "name" : "重复器按钮",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSUIActionGroupDetails" : [ {
          "caption" : "添加节点",
          "detailType" : "DEUIACTION",
          "name" : "ub457aa2",
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "caption" : "添加节点",
            "codeName" : "addNode",
            "frontProcessType" : "OTHER",
            "fullCodeName" : "Book_addNode",
            "name" : "添加节点",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "scriptCode" : "console.log('aaa', arguments)\r\nconst formMDCtrls = view.layoutPanel.panelItems.form.control.formMDCtrls;\r\nif(Array.isArray(formMDCtrls)) {\r\n    const formMDCtrl =formMDCtrls.find(item => item.name === 'mdctrl2');\r\n    if(formMDCtrl) {\r\n        formMDCtrl.create();\r\n    }\r\n}",
            "uIActionMode" : "FRONT",
            "uIActionTag" : "addNode",
            "uIActionType" : "DEUIACTION",
            "id" : "addNode@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ],
        "uniqueTag" : "Book__Usr0812752340"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "caption" : "书标识",
      "codeName" : "bookid",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "bookid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "bookid"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "hidden" : true
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  }, {
    "caption" : "其它",
    "codeName" : "formpage2",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage2",
    "getPSDEFormDetails" : [ {
      "caption" : "操作信息",
      "codeName" : "group2",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group2",
      "getPSDEFormDetails" : [ {
        "caption" : "建立人",
        "codeName" : "createman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "caption" : "建立时间",
        "codeName" : "createdate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createdate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createdate",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "更新人",
        "codeName" : "updateman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updateman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "updateman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "caption" : "更新时间",
        "codeName" : "updatedate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updatedate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "updatedate",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColMD" : 24,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "noTabHeader" : false,
  "modelid" : "2D7E6C5B-F46D-4C59-AEB4-9B5186CC536D",
  "modeltype" : "PSDEFORM_EDITFORM"
}